Bug 1130622 - Glance `--store` checks on store name instead of scheme
Summary: Glance `--store` checks on store name instead of scheme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: 4.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z1
: 5.0 (RHEL 7)
Assignee: Flavio Percoco
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1055536 1134249
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:59 UTC by Jaroslav Henner
Modified: 2016-04-27 00:36 UTC (History)
7 users (show)

Fixed In Version: openstack-glance-2014.1.2-3.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, whenever the 'x-image-meta-store' header was passed to glance-api, the service would check whether the value was a valid store, instead of a valid scheme. However, the rest of the store library uses the scheme to identify the store that should be used. This prevented the use of this feature. This has been fixed so now Glance verifies that the value of 'x-image-meta-store' is a valid scheme instead of a valid store name.
Clone Of:
: 1134249 (view as bug list)
Environment:
Last Closed: 2014-09-30 17:16:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1337 normal SHIPPED_LIVE Moderate: openstack-glance security and bug fix update 2014-09-30 21:13:47 UTC
OpenStack gerrit 115613 None None None Never
OpenStack gerrit 115890 None None None Never
Launchpad 1357462 None None None Never

Description Jaroslav Henner 2014-08-15 16:59:03 UTC
see the LP

Comment 2 Matthew Booth 2014-08-18 15:39:21 UTC
I believe the scheme should be 'vsphere', not vmware_datastore. Can you please try again?

This is actually in the log you attached to the LP:

2014-08-15 12:39:54.119 24764 DEBUG glance.api.v1.images [-] Store for scheme vmware_datastore not found get_store_or_400 /usr/lib/python2.7/site-packages/glance/api/v1/images.py:1057

Although for some reason I can't currently fathom this apparently serious error is explicitly rewrapped as a debug message.

Comment 3 Jaroslav Henner 2014-08-18 17:46:04 UTC
Yes I did. Please check the LP, the answer is there.

Comment 4 Matthew Booth 2014-08-19 14:39:15 UTC
I've updated this in the LP. I think this is a bug in glance core, not in the driver.

The workaround is to set driver_store=vsphere, and don't give --store on the command line.

Comment 7 errata-xmlrpc 2014-09-30 17:16:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1337.html


Note You need to log in before you can comment on or make changes to this bug.